<?php
/*
 * CIRCUIT
 *
 * This is the page template in the Circuit skin. Circuit is a skin derived
 * from the Metallic skin. It was designed specifically for the Polytechnic 
 * of Namibia.
 *
 */
// Add navigation back to top of page.
define("PAGETOP", '<a name="pagetop"></a>');
define("GOTOTOP", '<a href="#pagetop">Top</a>'); // @todo change this to an icon

// Define the valid canvases for this skin as an array.
$validCanvases = array_map('basename', glob('skins/circuit/canvases/*', GLOB_ONLYDIR));

// Define the name of this skin.
$skinName = "circut";

// Settings that are needed so that canvase-aware code can function.
$this->setSession('skinName', 'circut');
$_SESSION['skinName'] = 'circuit';
$_SESSION['isCanvas'] = TRUE;
$_SESSION['sourceSkin'] = 'circuit';
$_SESSION['layout'] = '_DEFAULT';

// Instantiate the canvas object.
$objCanvas = $this->getObject('canvaschooser', 'canvas');


// Set the skin base for the default.
$skinBase='skins/circuit/canvases/';
if (isset ($canvas)) {
    $_SESSION['canvasType'] = 'programmatic';
    $_SESSION['canvas'] = $canvas;
    $canvas = $skinBase . $canvas;
} elseif (isset($prefCanvas)) {
    $canvas = $skinBase . $prefCanvas;
} else {
    // Get what canvas we should be showing
    $canvas = $objCanvas->getCanvas($validCanvases, $skinBase);
}

// Get Header that goes into every skin.
require($objConfig->getsiteRootPath().'skins/_common/templates/skinpageheader3-0.php');

// Render the head section of the page. Note that there can be no space or
// blank lines between the PHP closing tag and the HTML head tag. It must be
// exactly as below.
?><head>
    <title>
        <?php echo $pageTitle; ?>
    </title>
    <?php
    // Get the skin version 2 base CSS for all skins.
    if (!isset($pageSuppressSkin)) {
        echo '

        <link rel="stylesheet" type="text/css" href="skins/_common2/base.css">
        ';
     }

    // Render the javascript unless it is suppressed.
    if (!isset($pageSuppressJavascript)) {
    //Load cruvy corners
?>
<script type="text/javascript">
var curvyCornersVerbose = false;
</script>
<?php
        $curvy = $this->getJavascriptFile('curvycorners-2.0.4/curvycorners.js', 'canvas');
        echo $curvy;
        echo $objSkin->putJavaScript($mime, $headerParams, $bodyOnLoad);
    }

    // Render the CSS for the current skin unless it is suppressed.
    if (!isset($pageSuppressSkin)) {
       echo '
       <link rel="stylesheet" type="text/css" href="skins/circuit/stylesheet.css">
       <link rel="stylesheet" type="text/css" href="' . $canvas . '/stylesheet.css">
        ';
    }
    ?>

<?php if (!isset($pageSuppressContainer)): ?>
<script type="text/javascript">
    jQuery(document).ready(function() {
        var resizeFunc = function () {
            var percent = .8;
            var minSize = 1200;
            var win = jQuery(window);
            var container = jQuery('#container');
            var cc = jQuery('#Canvas_Content');
            if (win.width() < 800) {
                  container.css('width', '800px');
            } else if (win.width() < minSize) {
                container.css('width', (win.width()+'px'));
            } else if (percent*win.width() < minSize) {
                container.css('width', minSize);
            } else {
                container.css('width', percent*win.width());
            }
        };
        jQuery(window).bind('resize', resizeFunc);
        resizeFunc();

    });
</script>
<?php endif; ?>
</head>

<?php
// Render body parameters if they are set, otherwise render a plain body tag
if (isset($bodyParams)) {
    echo '<body '.$bodyParams.'>';
} else {
    echo '<body>';
}

// --------------- BELONGS IN LAYOUT TEMPLATE

// Render the container & canvas elements unless it is suppressed.
if (!isset($pageSuppressContainer)) {
    echo "<div class='ChisimbaCanvas' id='_default'>\n"
      . "<div id='Canvas_Content'>\n"
      . "<div id='Canvas_BeforeContainer'>";
        if (!isset($pageSuppressBanner)) {
          echo "<div id=\"Canvas_BeforeContainer_Left\"></div>"
          ."<div id=\"Canvas_BeforeContainer_Right\"></div>";
        }
      echo "</div>"
      . "<div id='container' style=\"width:960px\">";
}

// Render the banner area unless it is suppressed
if (!isset($pageSuppressBanner)) {
    // Because the link to page top is in the footer, put the top here
    // only if the footer is not suppressed.
    if (!isset($suppressFooter)) {
        echo PAGETOP;
    }
    ?>
    <div class="Canvas_Content_Head_Before"></div>
    <div class="Canvas_Content_Head">
    <div id="Canvas_BeforeContainer_LeftImg"></div>
    <div id="Canvas_BeforeContainer_RightImg"></div>
    <?php
        echo '<a id="Canvas_BeforeContainer_MenuCap" href="'.$objConfig->getSiteRoot().'"></a>';
    ?>
    <div class="Canvas_Content_Head" id="header">
	<div class="Search_Container">
            <div class="Search_Container_Leftimg imghold"></div>
            <?php
            if (!isset($pageSuppressSearch)) {
                echo $objSkin->siteSearchBox();
            }
            ?>
            <div class="Search_Container_Rightimg imghold"></div>
        </div>
    </div>
    <?php
}

if (!isset($pageSuppressToolbar)) {
    echo "\n\n<div class=\"Navigation_Before\"></div>
                  <div id='navigation'>\n\n" . $toolbar . "\n</div>
              <div class=\"Navigation_After\"></div>\n\n";
} else if (!isset($pageSuppressBanner)) {
echo "\n\n<div class=\"Navigation_Before\"></div>
                  <div id='navigation' stytle=\"width:100%;\"><div id=\"menu\"><ul><li style=\"visibility:hidden;\">&nbsp;</li></ul></div></div>
              <div class=\"Navigation_After\"></div>\n\n";
}

if (!isset($pageSuppressBanner)) {
    ?>
    </div>
    <div class="Canvas_Content_Head_After"></div>
    <?php
}



// Render the laout content as supplied from the layout template
echo "<div class='Canvas_Content_Body_Before'></div>\n"
   . "<div id='Canvas_Content_Body'>\n"
   . $this->getLayoutContent()
   . "</div>\n<div class='Canvas_Content_Body_After'></div>\n"
   .'<br id="footerbr" />';






// If the footer is not suppressed, render it out.
if (!isset($suppressFooter)) {
    // Add the footer string if it is set
    if (isset($footerStr)) {
       $footerStr = $footerStr;
    } else if ($objUser->isLoggedIn()) {
        $this->loadClass('link', 'htmlelements');
        $link = new link ($this->URI(array('action'=>'logoff'),'security'));
        $link->link=$objLanguage->languageText("word_logout");
        $str=$objLanguage->languageText("mod_context_loggedinas", 'context').' <strong>'.$objUser->fullname().'</strong>  ('.$link->show().')';
        $footerStr= $str;
    } else {
        $footerStr = $objLanguage->languageText("mod_security_poweredby", 'security', 'Powered by Chisimba');
    }
    // Do the rendering here.
    echo "<div class='Canvas_Content_Footer_Before'></div>\n"
      . "<div class='Canvas_Content_Footer'><div id='footer'>"
      . $footerStr;
    // Put in the link to the top of the page
    if (!isset($pageSuppressBanner)) {
        echo ' (' . GOTOTOP . ')';
    }
    echo "</div>\n<div class='Canvas_Content_Footer_After'></div>";
}
// Render the container's closing div if the container is not suppressed
if (!isset($pageSuppressContainer)) {
    echo "</div></div><div class='Canvas_AfterContainer'></div>\n</div>\n</div>";
}



// Render any messages available.
$this->putMessages();

// Close up the body and HTML and finish up.
?>
</body>
</html>
